/*	Header for main routine 
 *	Author:
 *	Version: 0.1
 */
 
#ifndef W611HANDY_H
#define W611HANDY_H


// Mal klaeren was man davon wirklich braucht
//#include <avr/io.h>
#include <stdio.h>
#include <util/delay.h>
#include <avr/interrupt.h>
#include <stdlib.h>
#include <avr/sleep.h>
//#include <ctype.h>
//#include <stdint.h>
//#include <avr/pgmspace.h>
//#include <avr/eeprom.h>
//#include <avr/wdt.h>



// Spalten von 1..4 (0/1/2/3 auf PD1/PC3/PD0/PC2)
// Reihen von 1..6 (6/7/8/9/green/red auf PC1/PC0/PD7/PD6/PD4/PD5)
#define row_1		2
#define col_1		1
#define row_2		2
#define col_2		2
#define row_3		2
#define col_3		3
#define row_4		3
#define col_4		1
#define row_5		3
#define col_5		2
#define row_6		3
#define col_6		3
#define row_7		4
#define col_7		1
#define row_8		4
#define col_8		2
#define row_9		4
#define col_9		3
#define row_0		5
#define col_0		2
#define row_stern	5
#define col_stern	1
#define row_raute	5
#define col_raute	3
#define row_rot		6
#define col_rot		3
#define row_gruen	1
#define col_gruen	1
#define row_menue_l	1
#define col_menue_l	4
#define row_menue_r	1
#define col_menue_r	2
#define row_hoch	3
#define col_hoch	4
#define row_runter	4
#define col_runter	4
// kommen auf dem Handy nicht vor, sind aber in der Tastenmatrix
#define row_links	2
#define col_links	4
#define row_rechts	5
#define col_rechts	4





#define		T_ROT			11
#define		T_GRUEN			12
#define		T_MENUE_L		13
#define		T_MENUE_R		14
#define		T_HOCH			15
#define		T_RUNTER		16
#define		T_STERN			17
#define		T_RAUTE			18
#define		T_LINKS			19
#define		T_RECHTS		20

#define		DO_ABBRUCH		1
#define		DO_RANGEHEN		2
#define		DO_SLEEP		3
//#define		DO_ABBRUCH		4
//#define		DO_ABBRUCH		5
//#define		DO_ABBRUCH		6







int main (void);
void sysinit(void);
void testroutinen(void);
void routinen_isr(void);
void testroutinen_isr(void);
void tastendruck(uint8_t taste, uint8_t dauer);




// Globale Variablen
//uint8_t gPLLSTW[9];     // STW 





#endif 
