/* Hauptroutine fuer das Waehlscheibenhandy Projekt
 *
 * Author:
 *
 * Letzte Aenderung:
 * 
 */


#include "w611handy.h"




/*
ToDo: 
 Mikrofon anschlieen/testen: Pegeltest ueber DTMF? 
 Whlen/Klingeln/rangehen/auflegen Ablaufsteuerung  -> noch testen -> scheint soweit zu gehen
 ab un dzu bleibt die LED an wenn der uC in Standby geht


vielleicht:
 Freilaufdioden in H-Brcke??
 Freizeichen ist recht leise
 per ADC die Akkuspannung abfragen -> eigentlich nicht noetig, den Akkustand zeigt das Handy auch an...
 


erledigt:
 Spalte 1 geht nicht / Tasten werden scheinbar dauer-gedrckt. Nicht die rote Taste. -> DDRx Register waren falsch
 in Sleep-Modus gehen (wann?) -> wacht nicht immer auf?!?!?! -> ja, das flag_main_todo sollte man schon zurueck setzen
         warum der Aufruf des Sleep-Modus in der ISR nicht ging wurde nicht geklaert
 wenn Handy bei abgehobeben Telefon zum Klingeln anfngt -> ran gehen durch Erdtaste?
 Kurzer Strompeak beim Auflegen, d.h. ffnen(!) des Gabelschalters!!?!?!?!?!! -> klren.
			tritt auch auf wenn 15k nach GND statt Gabelschalter ffnet
			PIN2 des 40106 auftrennen macht auch keinen unterschied
			Pin1 des 40106 vom Schalter abtrennen und mit 22k auf GND -> auch kein Unterschied
			Wenn man den Handy-Tasten-Stecker abzieht ists weg
				-> den Strompuls macht das Handy wenn die rote Taste (kurz) gedrckt wird !!! argh!
				der Puls ist auch weg wenn man den Stromstecker des Handys abzieht und den Tastenstecker dran lsst
 Wenn uC in Sleepmodus geht: Reststromverbrauch 1mA!!! -> das war der Programmieradapter :-]

*/



#define MAX_ZIFFERN 20


// volatile: Variable wird im Hauptprogramm _und_ in der ISR veraendert!!
volatile uint8_t flag_ziffer_anzeige=0;  // Flag wird gesetzt wenn das Hauptprogramm eine Ziffer rausblinken soll
volatile uint8_t flag_nummer_auswerten=0;  // Flag wird gesetzt wenn im Array eine Nummer zum auswerten bereit steht
volatile uint8_t flag_keypress=0;  // Flag wird gesetzt wenn aktuell eine Handytaste gedrckt wird
volatile uint8_t flag_main_todo=0;
volatile uint8_t flag_gespraech_aktiv=0;
volatile uint8_t ziffer_anzeige=0;

volatile uint8_t rufnummer[MAX_ZIFFERN];  // Array fr die Rufnummer
volatile uint8_t akt_anz_stellen=0;		// Die Anzahl Stellen der gerade aktuellen Whlscheiben-Eingabe






// Interrupt Routine Timer2
ISR(TIMER2_COMP_vect)
//ISR(TIMER2_OVF_vect)
{
	
	//PORTC^=_BV(PC5);   // zum Testen
	//testroutinen_isr();
	routinen_isr();

}



ISR(INT0_vect)
{
	//PORTC^=_BV(PC5);   // zum Testen
	//PORTC|=_BV(PC5);   // zum Testen
	
	// nach dem Aufwachen aus dem Sleepmode (vermutlich notwendig?!?)
	GICR&=~((1<<INT0)|(1<<INT1));   // Int0 und Int1 Interrupt disable

}

ISR(INT1_vect)
{
	//PORTC^=_BV(PC5);   // zum Testen
	//PORTC|=_BV(PC5);   // zum Testen

	// nach dem Aufwachen aus dem Sleepmode (vermutlich notwendig?!?)
	GICR&=~((1<<INT0)|(1<<INT1));   // Int0 und Int1 Interrupt disable
}



	
int main (void)
{
	// delay fuer Hardware + LED blinken lassen
	DDRC=_BV(PC5);  // erst mal nur die Portpins fuer die LED auf Ausgang schalten
	PORTC|=_BV(PC5); // LED ON;
	for (int test=0;test<8;test++)
		{
			_delay_ms(250);    // scheint nur fuer 1MHz zu gelten, trotz 8MHz-Eintrag im makefile 
			PORTC^=_BV(PC5);    // LED ON|OFF
		}
	PORTC&=~_BV(PC5);   // LED aus
	//PORTC|=_BV(PC5);   // zum Testen


	// Interrupts aus
	cli();
		
	// Init der Komponenten auf dem Upconverter Board
	sysinit();
	
	// Interrupts enable
	sei();
	
	


	// main loop



	
	while (1) 
		{

		/*  Testroutine, wird jetzt nicht mehr benoetigt
		//if (flag_ziffer_anzeige==0) flag_ziffer_anzeige=1;
		//ziffer_anzeige=5;  
		if (flag_ziffer_anzeige)  // Flag wird gesetzt wenn das Hauptprogramm eine Ziffer rausblinken soll
			{
			for (uint8_t n=0;n<ziffer_anzeige;n++)
				{
				_delay_ms(200);
				PORTC|=_BV(PC5);   // LED an
				_delay_ms(200);
				PORTC&=~_BV(PC5);   // LED aus
				}
			_delay_ms(500);
			flag_ziffer_anzeige=0;  // Flag zurcksetzen, bedeutet auch dass die Anzeige wieder frei ist
			}
		*/




		if (flag_nummer_auswerten)  // Flag wird gesetzt wenn im Array eine Nummer zum auswerten bereit steht
			{
			//PORTC|=_BV(PC5);   // LED an
			if (akt_anz_stellen==0)  // steht berhaupt eine Nummer drin?
				{
				rufnummer[0]=9;    // keine sinnvolle Nummer beginnt mit einer "9", d.h. der
				}					// case beendet sich selbststndig
			switch (rufnummer[0])
				{
				case 1:  // Sonderfunktionen: Handy ein-/ausschalten, SIM-Pin eingeben, etc.
						//_delay_ms(200);
						if (akt_anz_stellen<2) break;	// Anzahl der Stellen mu mindestens 2 sein
						switch (rufnummer[1])
							{
							case 1: // Handy einschalten
									tastendruck(T_ROT,10); // "rot" 1 Sekunde drcken
									_delay_ms(4000);
									_delay_ms(4000);
									tastendruck(T_MENUE_L,0); // "Men links" drcken
									break;
							case 2: // Handy ausschalten
									tastendruck(T_ROT,10); // "rot" 1 Sekunde drcken
									flag_gespraech_aktiv=0;
									break;
							case 3: // Handy einschlten mit PIN auf der SIM-Karte
									// "rot" 1 Sekunde druecken, 8 Sekunden Pause, dann statt der
									// linken Menuetaste die Zifferntasten der Pin drruecken
									// dann rechte Menuetaste
									tastendruck(T_ROT,10); // "rot" 1 Sekunde drcken
									_delay_ms(4000);
									_delay_ms(4000);
									//if (akt_anz_stellen>10) break; // Plausibilitaetspruefung
									if ((akt_anz_stellen>3)&&(akt_anz_stellen<MAX_ZIFFERN))
										{  // Plausibilitaetspruefung: PIN mindestens einstellig
										for (uint8_t n=2;n<akt_anz_stellen;n++)
											{
											tastendruck(rufnummer[n],0);
											}
										}
									tastendruck(T_MENUE_R,0); // "Men rechts" drcken
									break;
							case 4: // "*2000" Anrufen (Abfrage Prepaid-Guthaben)
									tastendruck(T_ROT,0); // "rot" drcken
									tastendruck(T_ROT,0); // "rot" drcken
									tastendruck(T_ROT,0); // "rot" drcken
									tastendruck(2,0); 
									tastendruck(10,0); 
									tastendruck(10,0); 
									tastendruck(10,0); 
									tastendruck(T_GRUEN,0);
									flag_gespraech_aktiv=1;
									TCCR1B&=~(1<<CS10); //  -> Clock Source loeschen -> Freizeichen stumm

									break;
							case 8:
									//PORTC|=_BV(PC5);   // LED an
									//_delay_ms(200);
									//PORTC&=~_BV(PC5);   // LED aus
									//_delay_ms(200);
									//PORTC|=_BV(PC5);   // LED an
									//_delay_ms(200);
									//PORTC&=~_BV(PC5);   // LED aus
									tastendruck(1,0);
									tastendruck(2,0);
									tastendruck(3,0);
									tastendruck(4,0);
									tastendruck(5,0);
									tastendruck(6,0);
									tastendruck(7,0);
									tastendruck(8,0);
									tastendruck(9,0);
									tastendruck(10,0);  // "0"!!
									break;
							case 9:
									//PORTC&=~_BV(PC5);   // LED aus
									//PORTC|=_BV(PC5);   // LED an
									flag_main_todo=DO_SLEEP;  // in sleep gehen
									//GICR|=(1<<INT0)|(1<<INT1);   // Int0 und Int1 Interrupt enable
									//MCUCR|=(1<<SE);   // Sleep-mode-enable Bit
									//sleep_cpu();	// In Schlafmodus gehen
									break;
							}
						break;
				case 2: // drckt eine Taste auf auf der Handy-Tastatur
						if (akt_anz_stellen!=2) break;	// Anzahl der Stellen mu 2 sein
						//PORTC|=_BV(PC5);   // LED an
						_delay_ms(200);
						//PORTC&=~_BV(PC5);   // LED aus
						if ((rufnummer[1]>0)&&(rufnummer[1]<11))  // Zwischen 1 und 10 ?
							tastendruck(rufnummer[1]+10,0);
						break;
				case 3:  // drckt die Ziffer an zweiter stelle auf der Handy-Tastatur
						if (akt_anz_stellen!=2) break;	// Anzahl der Stellen mu 2 sein
						//PORTC|=_BV(PC5);   // LED an
						_delay_ms(200);
						//PORTC&=~_BV(PC5);   // LED aus
						if ((rufnummer[1]>0)&&(rufnummer[1]<11))  // Zwischen 1 und 10 ?
							tastendruck(rufnummer[1],0);
						break;
				case 10:  // "normale" Rufnummer zum anrufen
						if ((akt_anz_stellen>3)&&(akt_anz_stellen<MAX_ZIFFERN))
							{  // Plausibilitaetspruefung: Mehr als 3 Ziffern
							tastendruck(T_ROT,0); // "rot" drcken
							tastendruck(T_ROT,0); // "rot" drcken
							tastendruck(T_ROT,0); // "rot" drcken
							for (uint8_t n=0;n<akt_anz_stellen;n++)
								{
								tastendruck(rufnummer[n],0);
								}
							}
							tastendruck(T_GRUEN,0); // "gruen" drcken
							flag_gespraech_aktiv=1;
							TCCR1B&=~(1<<CS10); //  -> Clock Source loeschen -> Freizeichen stumm
						break;
				}
				
			//PORTC&=~_BV(PC5);   // LED aus				
			flag_nummer_auswerten=0;  // Anzeigen dass Vorgang abgeschlossen (hrt nur keiner drauf)
			akt_anz_stellen=0;	// Nummer resetten
			}



		if (flag_main_todo>0)	  // alles andere was es in der Hauptroutine zu tun gibt
			{
			switch (flag_main_todo)
				{
				case DO_ABBRUCH:
						tastendruck(T_ROT,0); // pauschal 5x "rot" drcken
						tastendruck(T_ROT,0); // z.B. zum auflegen oder 
						tastendruck(T_ROT,0); // um egal von wo aus ins Hauptmenue zu gelangen
						tastendruck(T_ROT,0); 
						tastendruck(T_ROT,0); 
						flag_main_todo=0;     // Flag in Ruhezustand
						flag_gespraech_aktiv=0;
						break;
				case DO_RANGEHEN:			// beim kingelnden Handy ran gehen
						tastendruck(T_GRUEN,0); 
						flag_main_todo=0;     // Flag in Ruhezustand
						flag_gespraech_aktiv=1;
						TCCR1B&=~(1<<CS10); //  -> Clock Source loeschen -> Freizeichen stumm 
												// auch wenn hier i.a. nicht notwendig
						break;
				case  DO_SLEEP:
						PORTC&=~_BV(PC5);   // LED aus
						flag_main_todo=0;
						GICR|=(1<<INT0)|(1<<INT1);   // Int0 und Int1 Interrupt enable
						MCUCR|=(1<<SE);   // Sleep-mode-enable Bit
						sleep_cpu();	// In Schlafmodus gehen
						break;
				}
			}





		}  // Ende while-Endlosschleife




	while (1);   // wenn das Programm in das return luft gehen die Interrupts nicht mehr !!
	
	return 1;   // Return der main Funktion!!	

}















void sysinit(void)
{		
	// Datenrichtungsregister aller Pins
	DDRB=0xC3;
	DDRC=0x2F;
	DDRD=0xF3;

	
	PORTB=0;   // Pauschal. Damit die Anfangsbedingungen immer gleich sind
	PORTC=0;
	PORTD=0;



	PORTB|=_BV(PB0);    //  Den 25V Schaltregler ausschalten (0=ein / 1=aus !!)
	PORTB|=_BV(PB3);    //  internen Pull up fuer die Erdtast einschalten
	//PORTD|=_BV(PD2);    //  internen Pull up fuer Int0 (Gabelschalter) einschalten (-> nein, externer 90k Pullup)
	PORTD|=_BV(PD3);    //  internen Pull up fuer Int1 (Vibra-Open-Kollektor) einschalten
	
	
	
	// init Int0 und Int1
	// Pegel-Interrupt -> Ist Power-On Default
	//
	GICR&=~((1<<INT0)|(1<<INT1));   // Int0 und Int1 Interrupt disable
	//GICR|=(1<<INT0)|(1<<INT1);   // Int0 und Int1 Interrupt enable

	MCUCR|=(1<<SM1);   // Power Down Mode als Sleep-Mode einstellen

	// init Timer2: Timer-Int alle 20 ms (50Hz)

	// CTC mode (mode 2) / Prescaler= 256 (S.113)
	TCCR2|=(1<<WGM21)|(1<<CS22)|(1<<CS21); 
	OCR2=77;   // Peridendauer=78*256us=19,97ms bei 1MHz Takt (Datenblatt S. 111)

	// Interrupt wenn Compare-Match
	TIMSK|=(1<<OCIE2); 
	
	
	// Int0 und Int1 Pins als Interrupt-Eingaenge fr Low-Level schalten
	//GICR|=(1<<INT1)|(1<<INT0);  // Datenblatt S.67


	// Timer 1 fuer 425 Hz Freizeichen vorbereiten
	TCCR1A|=(1<<COM1A0);  // Toggle OC1A on compare Match (S.97)
						//  der Pin muss im DDRx Register auf Ausgang geschaltet sein
	TCCR1B|=(1<<WGM12)|(0<<CS10);   // CTC mode (Clear timer on compare match S.99)
							// kein Prescaler (S.100) 
							// Clock Source nur setzten wenn Freizeichen toenen soll
	OCR1A= 1176;  // fuer 425 Hz


	akt_anz_stellen=0; // gewaehlte Nummer ruecksetzen

}














void testroutinen(void)
{


}





void testroutinen_isr(void)
{


}







void routinen_isr(void)
// hier sind die Routinen drin die in der Interrupt Service Routine ablaufen
{

	static uint8_t time_klingel,klingel_klingelt_flag;
	static uint8_t klingel_aktiv;
	static uint8_t timer_sleepmode;

	
	static uint8_t flag_waehlen_freigabe=1;		// ist eins wenn das Telefon bereit ist auf die Whlscheibe zu reagieren
	static uint8_t flag_gabel_last=0;		// Der Zustand der Gabel im letzten Durchlauf der ISR (Fer Flankenerkennung)
	static uint8_t flag_waehlpuls_last=0;	// Dito, vom Waehlpulseingang
	static uint8_t flag_waehl_en_last=0; // Dito, Enable-Eingang der Whlscheibe
	static uint8_t flag_erdtaste_last=0; // Dito, 
	static uint8_t flag_vibra_last=0; // Dito, 
	uint8_t akt_waehlpuls,akt_waehl_en,akt_gabel,akt_erdtaste,akt_vibra;



	//PORTC^=_BV(PC5);   // LED toggeln, zum Testen
	PORTC|=_BV(PC5);   // LED an



	akt_gabel=PIND&(1<<PD2);       // Gabelschalter (high wenn aufgelegt)
	akt_waehlpuls=PINB&(1<<PB5);
	akt_waehl_en=PINB&_BV(PB4);    // -> low wenn Whlscheibe aktiv
	akt_erdtaste=(PINB&(1<<PB3));  // Erdtaste (low wenn gedrueckt)
	akt_vibra=PIND&(1<<PD3);      // Vibra-Open-Kollektor Handy (low wenns vibriert)






	if (akt_gabel)  // Gabelschalter (high wenn aufgelegt)
		{
		//akt_anz_stellen=0;	// Nummer Reset wenn aufgelegt
		//flag_waehlen_freigabe=0; // zum testen des Sleep_modus deaktiviert
		}


	// in Sleepmode gehen?
	if ((akt_gabel)&&(!klingel_aktiv)&&(!flag_gespraech_aktiv)&&(1)) 
   // Wenn aufgelegt ist, es nicht Klingelt und kein Gespraech aktiv ist
		{
		timer_sleepmode++;    // Zeit zaehlen
		if (timer_sleepmode>240)	// nach 6 Sekunden (25ms*240)
			{						// -> in den Schlafmodus (wecken durch Hoerer abheben oder Klingel)
			timer_sleepmode=0;  // vorn dem Schalfen gehen -> Timer auf Null setzen
					// denn es braucht bis zu eine halbe Sekunde bis klingel_aktiv gesetzt wird
			//GICR|=(1<<INT0)|(1<<INT1);   // Int0 und Int1 Interrupt enable
			//MCUCR|=(1<<SE);   // Sleep-mode-enable Bit
			//sleep_cpu();	// In Schlafmodus gehen
			flag_main_todo=DO_SLEEP;  // in sleep gehen
			}
		}
	else
		{
		timer_sleepmode=0;  // Timer reset
		}
		







	if ((!akt_gabel)&&(flag_gabel_last))	// Wenn abgehoben wird (Flankenerkennung)
		{
		flag_waehlen_freigabe=1;
		akt_anz_stellen=0;	// Nummer reseten
		//PORTC|=_BV(PC5);    // LED ON
		if (!flag_gespraech_aktiv)   // wenn kein Gespraech aktiv
			{
			TCCR1B|=(1<<CS10); // kein Prescaler (S.100) -> Clock Source setzten -> Freizeichen toent
			}
		
		if (klingel_aktiv)   // Wenns gerade Klingelt -> rangehen
			{
			flag_gespraech_aktiv=1;
			flag_main_todo=DO_RANGEHEN;
			}

		}


	if ((akt_gabel)&&(!flag_gabel_last))	// Wenn aufgelegt wird (Flankenerkennung)
		{
		//if (flag_gespraech_aktiv)   // Wenn Gespraech aktiv -> auflegen
		flag_main_todo=DO_ABBRUCH;		// auflegen
		TCCR1B&=~(1<<CS10); //  -> Clock Source loeschen -> Freizeichen stumm
		}



	// Auswertung: Nummern waehlen


	static uint8_t waehlpuls_cnt;
	if(flag_waehlen_freigabe)
		{
		if ((akt_waehlpuls)&&(!flag_waehlpuls_last)) // steigende Flanke beim Waehlpuls erkennen
			{
			waehlpuls_cnt++;
			}
		if ((!akt_waehl_en)&&(flag_waehl_en_last)) // fallende Flanke beim Waehl_enable erkennen
			{						// d.h. wenn Whlscheibe aktiv wird
			waehlpuls_cnt=0;
			}
		if ((akt_waehl_en)&&(!flag_waehl_en_last)) // steigende Flanke beim Waehl_enable erkennen
			{						// d.h. wenn Whlscheibe inaktiv wird
			if ((waehlpuls_cnt>0)&&(waehlpuls_cnt<11)&&(akt_anz_stellen<MAX_ZIFFERN))
				{			// gerade gewhlte ziffer der Rufnummner hinzufgen
				rufnummer[akt_anz_stellen]=waehlpuls_cnt;
				akt_anz_stellen++;
				}
			waehlpuls_cnt=0;
			}
		}





	
	

	/*rufnummer[0]=2;
	rufnummer[1]=3;
	rufnummer[2]=4;
	akt_anz_stellen=3;
	*/
	//if (!(PINB&(1<<PB3)))  // Erdtaste (low wenn gedrueckt)
	if ((!(akt_erdtaste))&&(flag_erdtaste_last))  // wenn Erdtaste gedrueckt wird (Flankenerkennung)
		{
		//flag_nummer_anzeigen=1;
		//anzeige_stelle_nr=1;  // auf diese Weise wird die erste Stelle doppelt angezeigt -> mir egal
		flag_nummer_auswerten=1;
		
		if ((!akt_gabel)&&(klingel_aktiv)&&(!flag_gespraech_aktiv)) 
					// wenn schon abgehoben war als es zum klingeln anfing...
			{       // -> mit der Erdtaste ran gehen
			flag_gespraech_aktiv=1;
			flag_main_todo=DO_RANGEHEN;
			}
		}


	//static uint8_t anzeige_stelle_nr;   // die aktuelle Stelle die bei der Anzeige jetzt dran ist
	//static uint8_t flag_nummer_anzeigen=0;   // die aktuelle Stelle die bei der Anzeige jetzt dran ist
	/*   // Testroutine, wird jetzt nicht mehr benoetigt
	if (flag_nummer_anzeigen)
		if (flag_ziffer_anzeige==0)   // Wurde die Anzeige der vorherigen Ziffer schon beendet?
			{
			if (anzeige_stelle_nr>akt_anz_stellen)  // Letzte Stelle schon durch?
				{
				flag_nummer_anzeigen=0;			// Die Sache beenden
				}
			else    // nein -> naechste Stelle anzeigen
				{
				ziffer_anzeige=rufnummer[anzeige_stelle_nr-1];  
				++anzeige_stelle_nr;
				flag_ziffer_anzeige=1;
				}
			}
	*/






	// Klingeln erkennen
	// SMS: einmalig Vibra ca. 200-250ms aktiv
	// Klingeln: Vibra ca. 200-250ms aktiv / genauso lang inaktiv

	static uint8_t zeit_vibra_aktiv;     // Zaehler ISR-Durchlaeufe wie lang Vibra aktiv ist
	static uint8_t zeit_vibra_inaktiv;   // Zaehler ISR-Durchlaeufe wie lang Vibra inaktiv ist

	// Dauer erfassen der Vibrier-Phase und der Vibrier-Pause
	if (akt_vibra)  // (low wenns vibriert)
		{
		if (zeit_vibra_inaktiv<250)  // oberer Anschlag
			zeit_vibra_inaktiv++;
		}
	else
		{
		if (zeit_vibra_aktiv<250)  // oberer Anschlag
			zeit_vibra_aktiv++;
		}

	if ((!akt_vibra)&&(flag_vibra_last))	// Wenns zum Vibriren anfaengt (Flankenerkennung)
		{
		// Wenn der letzte Vibra-Aktiv (mit mehr als 160mS) weniger als 600ms her ist -> es klingelt
		if (((zeit_vibra_aktiv)>8)&&((zeit_vibra_inaktiv)<30))
			{
			klingel_aktiv=1;
			}
		zeit_vibra_aktiv=0;
		}

	if ((akt_vibra)&&(!flag_vibra_last))	// Wenns zum Vibriren aufhoert (Flankenerkennung)
		{
		zeit_vibra_inaktiv=0;
		}

	if (zeit_vibra_inaktiv>25)	// Vibra mehr als 500ms(=25*20ms) inaktiv?
		{
		klingel_aktiv=0;
		}







	
	
	//klingel_aktiv=1;
	if (klingel_aktiv)   // wenn es Klingelt (egal ob gerade Klingelpause oder Klingel tatschlich aktiv)
		{
		PORTB&=~_BV(PB0);    //  Den 25V Schaltregler einschalten (0=ein / 1=aus !!)
		time_klingel++;
		//PORTC|=_BV(PC5);    // LED ON
		if (klingel_klingelt_flag) // wenn die Klingel gerade tatschlich aktiv am klingeln ist
			{
			if (PINB&_BV(PB6))			// H-Brcke invertieren
				{
				PORTB&=~_BV(PB6);  // H-Bruecke Klingel
				PORTB|=_BV(PB7);  // H-Bruecke Klingel
				//PORTB^=(_BV(PB6)|_BV(PB7));   // H-Bruecke klingel invertieren
				}
			else
				{
				PORTB|=_BV(PB6);  // H-Bruecke Klingel
				PORTB&=~_BV(PB7);  // H-Bruecke Klingel
				}
				
			if (time_klingel>50)  // nach 50x20ms=1 Sekunde
				{
				klingel_klingelt_flag=0;   // Klingel auf Klingelpause stellen
				time_klingel=0;          // Zaehler zuruecksetzen
				PORTB&=~(_BV(PB6)|_BV(PB7));  // H-Bruecke Klingel beide low
				//PORTC&=~_BV(PC5);    // LED OFF
				}
			}
		else
			{
			if (time_klingel>200)  // nach 200x20ms=4 Sekunden
				{
				klingel_klingelt_flag=1;   // Klingel auf aktiv stellen
				time_klingel=0;
				PORTB&=~_BV(PB7);  // H-Bruecke Klingel aktivieren
				PORTB|=_BV(PB6);
				//PORTC|=_BV(PC5);    // LED ON
				}
			}
			
			
		}
	else
		{
		PORTB|=_BV(PB0);    //  Den 25V Schaltregler ausschalten (0=ein / 1=aus !!)
		PORTB&=~(_BV(PB6)|_BV(PB7));  // H-Bruecke Klingel beide low
		//PORTC&=~_BV(PC5);    // LED OFF
		time_klingel=0;
		klingel_klingelt_flag=1;   // Klingel auf aktiv stellen
		}

	


	flag_waehlpuls_last=akt_waehlpuls;
	flag_waehl_en_last=akt_waehl_en;
	flag_gabel_last=akt_gabel;		// Zustand der Gabel in den nchsten AUfruf der ISR mitnehmen
	flag_erdtaste_last=akt_erdtaste;  // Erdtaste (low wenn gedrueckt)
	flag_vibra_last=akt_vibra;      // Vibra-Open-Kollektor Handy (low wenns vibriert)




	// diverse Anzeigemglichkeiten
	if (0)
		{
		if (klingel_aktiv)
		//if (PINB&_BV(PB4))  //  Waehler Enable (high wenn in Ruhe, low wenn Waehlscheibe aktiv)
		//if (PINB&(1<<PB5))  //  Waehlpulse (ist low, geht fuer jeden Puls kurz auf high)
		//if (PINB&(1<<PB3))  // Erdtaste (low wenn gedrueckt)
		//if (!(PINB&(1<<PB3)))  // Erdtaste (low wenn gedrueckt)
		//if (PIND&(1<<PD2))  // Gabelschalter (low wenn abgehoben, high wenn aufgelegt)
		//if (PIND&(1<<PD3))  // Vibra-Open-Kollektor Handy (low wenns vibriert)
			PORTC|=_BV(PC5);    // LED ON
		else
			PORTC&=~_BV(PC5);    // LED OFF
		}

	PORTC&=~_BV(PC5);   // LED aus
// Ende der 20ms-Timer-ISR
}
















void tastendruck(uint8_t taste, uint8_t dauer)
	{
	uint8_t zeile,spalte;

	flag_keypress=1;	// um Multi-Entry zu vermeiden
						// und fuer die Sleep-Modus-Steuerung

	zeile=0;
	spalte=0;		// dummy Werte
	
	switch (taste)
		{
		case 0:			// unbenutzt, Die Ziffer "0" liegt auf der 10
				break;
		case 1:			// "1"
				zeile= row_1;
				spalte=col_1;
				break;
		case 2:			// u.s.w.
				zeile= row_2;
				spalte=col_2;
				break;
		case 3:
				zeile= row_3;
				spalte=col_3;
				break;
		case 4:
				zeile= row_4;
				spalte=col_4;
				break;
		case 5:
				zeile= row_5;
				spalte=col_5;
				break;
		case 6:
				zeile= row_6;
				spalte=col_6;
				break;
		case 7:
				zeile= row_7;
				spalte=col_7;
				break;
		case 8:
				zeile= row_8;
				spalte=col_8;
				break;
		case 9:
				zeile= row_9;
				spalte=col_9;
				break;
		case 10:		// "0"
				zeile= row_0;
				spalte=col_0;
				break;
		case 11:		// rot
				zeile= row_rot;
				spalte=col_rot;
				break;
		case 12:		// grn
				zeile= row_gruen;
				spalte=col_gruen;
				break;
		case 13:		// Men-links
				zeile= row_menue_l;
				spalte=col_menue_l;
				break;
		case 14:		// Men-rechts
				zeile= row_menue_r;
				spalte=col_menue_r;
				break;
		case 15:		// hoch
				zeile= row_hoch;
				spalte=col_hoch;
				break;
		case 16:		// runter
				zeile= row_runter;
				spalte=col_runter;
				break;
		case 17:		// Stern
				zeile= row_stern;
				spalte=col_stern;
				break;
		case 18:		// Raute
				zeile= row_raute;
				spalte=col_raute;
				break;
		case 19:		// links (nicht auf der Tastatur)
				zeile= row_links;
				spalte=col_links;
				break;
		case 20:		// rechts (nicht auf der Tastatur)
				zeile= row_rechts;
				spalte=col_rechts;
				break;
		}
	// Die Schalter der Matrix setzen
	// Spalten von 1..4 (0/1/2/3 auf PD1/PC3/PD0/PC2)
	// Reihen von 1..6 (6/7/8/9/green/red auf PC1/PC0/PD7/PD6/PD4/PD5)
	switch (zeile)
		{
		case 1: 	PORTC|=_BV(PC1);
				break;
		case 2: 	PORTC|=_BV(PC0);
				break;
		case 3: 	PORTD|=_BV(PD7);
				break;
		case 4: 	PORTD|=_BV(PD6);
				break;
		case 5: 	PORTD|=_BV(PD4);
				break;
		case 6: 	PORTD|=_BV(PD5);
				break;
		}
	switch (spalte)
		{
		case 1: 	PORTD|=_BV(PD1);
				break;
		case 2: 	PORTC|=_BV(PC3);
				break;
		case 3: 	PORTD|=_BV(PD0);
				break;
		case 4: 	PORTC|=_BV(PC2);
				break;
		}
	
	//PORTC|=_BV(PC5);   // LED an
	
	if (dauer==0)
		{
		_delay_ms(100);  // Taste drcken, defaultwert
		}
	else
		for (uint8_t n=0;n<dauer;n++)  // dauer = Dauer in 100ms-Schritten
			_delay_ms(100);
	
	// Taste loslassen
	//PORTC&=~(0x0F);
	//PORTD&=~(0xF3);
	PORTC&=0xF0;  // manuell invertiert
	PORTD&=0x0C;

	//PORTC&=~_BV(PC5);   // LED aus

	_delay_ms(100);  // Mindestpause zwischen zwei Tastendrckern
	
	flag_keypress=0;	// freigabe fr nchsten Tastendruck
	return;
	}


